GET_SUBTREE_FILTER = """
<components xmlns="http://openconfig.net/yang/platform">
    <component>
        <name>
          0/0-Virtual-Motherboard
        </name>
        <state>
        </state>
    </component>
</components>"""

GET_SUBTREE_ELEMENTS = ["components"]

GET_SUBTREE_RESULT = """<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="101">
 <data>
  <components xmlns="http://openconfig.net/yang/platform">
   <component>
    <name>0/0-Virtual-Motherboard</name>
    <state>
     <description>Cisco IOS-XRv 9000 Virtual LC Motherboard</description>
     <name>0/0-Virtual-Motherboard</name>
     <type xmlns:idx="http://openconfig.net/yang/platform-types">idx:MODULE</type>
     <id>65538</id>
    </state>
   </component>
  </components>
 </data>
</rpc-reply>"""

FULL_GET_CONFIG_ELEMENTS = [
    "ssh",
    "xr-xml",
    "aaa",
    "call-home",
    "netconf-yang",
    "ip",
    "interface-configurations",
    "SNMP-COMMUNITY-MIB",
    "SNMP-NOTIFICATION-MIB",
    "SNMP-TARGET-MIB",
    "SNMP-USER-BASED-SM-MIB",
    "SNMP-VIEW-BASED-ACM-MIB",
    "SNMPv2-MIB",
    "fpd",
    "sdr-config",
    "private-sdr",
    "service",
    "interfaces",
    "lacp",
    "lldp",
]

FULL_GET_CONFIG_RESULT = """<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="101">
 <data>
  <ssh xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-crypto-ssh-cfg">
   <server>
    <v2/>
    <netconf-vrf-table>
     <vrf>
      <vrf-name>default</vrf-name>
      <enable/>
     </vrf>
    </netconf-vrf-table>
   </server>
  </ssh>
  <xr-xml xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-man-xml-ttyagent-cfg">
   <agent>
    <tty>
     <enable/>
    </tty>
   </agent>
  </xr-xml>
  <aaa xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-aaa-lib-cfg">
   <usernames xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-aaa-locald-cfg">
    <username>
     <ordering-index>0</ordering-index>
     <name>vrnetlab</name>
     <usergroup-under-usernames>
      <usergroup-under-username>
       <name>root-lr</name>
      </usergroup-under-username>
      <usergroup-under-username>
       <name>cisco-support</name>
      </usergroup-under-username>
     </usergroup-under-usernames>
     <secret>$1$5aFx$Ul43RjEjA7C4LFsghgQCu0</secret>
    </username>
   </usernames>
  </aaa>
  <call-home xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-call-home-cfg">
   <active/>
   <contact-smart-licensing>true</contact-smart-licensing>
   <profiles>
    <profile>
     <profile-name>CiscoTAC-1</profile-name>
     <active/>
     <methods>
      <method>
       <method>email</method>
       <enable>false</enable>
      </method>
      <method>
       <method>http</method>
       <enable>true</enable>
      </method>
     </methods>
    </profile>
   </profiles>
  </call-home>
  <netconf-yang xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-man-netconf-cfg">
   <agent>
    <ssh>
     <enable/>
    </ssh>
   </agent>
  </netconf-yang>
  <ip xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ip-tcp-cfg">
   <cinetd>
    <services>
     <vrfs>
      <vrf>
       <vrf-name>default</vrf-name>
       <ipv4>
        <telnet>
         <tcp>
          <maximum-server>10</maximum-server>
         </tcp>
        </telnet>
       </ipv4>
      </vrf>
     </vrfs>
    </services>
   </cinetd>
  </ip>
  <interface-configurations xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ifmgr-cfg">
   <interface-configuration>
    <active>act</active>
    <interface-name>MgmtEth0/RP0/CPU0/0</interface-name>
    <ipv4-network xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ipv4-io-cfg">
     <addresses>
      <primary>
       <address>10.0.0.15</address>
       <netmask>255.255.255.0</netmask>
      </primary>
     </addresses>
    </ipv4-network>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/0</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/1</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/2</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/3</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/4</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/5</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/6</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/7</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/8</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/9</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/10</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/11</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/12</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/13</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/14</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/15</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/16</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/17</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/18</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/19</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/20</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/21</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/22</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/23</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/24</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/25</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/26</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/27</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/28</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/29</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/30</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/31</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/32</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/33</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/34</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/35</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/36</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/37</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/38</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/39</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/40</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/41</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/42</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/43</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/44</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/45</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/46</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/47</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/48</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/49</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/50</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/51</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/52</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/53</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/54</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/55</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/56</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/57</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/58</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/59</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/60</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/61</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/62</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/63</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/64</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/65</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/66</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/67</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/68</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/69</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/70</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/71</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/72</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/73</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/74</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/75</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/76</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/77</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/78</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/79</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/80</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/81</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/82</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/83</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/84</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/85</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/86</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/87</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/88</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/89</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/90</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/91</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/92</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/93</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/94</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/95</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/96</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/97</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/98</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/99</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/100</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/101</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/102</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/103</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/104</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/105</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/106</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/107</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/108</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/109</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/110</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/111</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/112</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/113</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/114</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/115</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/116</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/117</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/118</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/119</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/120</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/121</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/122</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/123</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/124</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/125</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/126</interface-name>
    <shutdown/>
   </interface-configuration>
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/127</interface-name>
    <shutdown/>
   </interface-configuration>
  </interface-configurations>
  <aaa xmlns="http://tail-f.com/ns/aaa/1.1">
   <authentication>
    <users>
     <user>
      <name>vrnetlab</name>
      <uid>9000</uid>
      <gid>100</gid>
      PASSWORD
      <ssh_keydir>/var/confd/homes/vrnetlab/.ssh</ssh_keydir>
      <homedir>/var/confd/homes/vrnetlab</homedir>
     </user>
    </users>
    <groups>
     <group>
      <name>aaa-r</name>
      <gid>100</gid>
      <users>%%__system_user__%%</users>
     </group>
     <group>
      <name>admin-r</name>
      <gid>100</gid>
      <users>%%__system_user__%%</users>
     </group>
     <group>
      <name>root-system</name>
      <gid>100</gid>
      <users>%%__system_user__%% vrnetlab</users>
     </group>
    </groups>
   </authentication>
   <authorization>
    <cmdrules>
     <cmdrule>
      <index>1</index>
      <context>*</context>
      <command>*</command>
      <group>root-system</group>
      <ops>rx</ops>
      <action>accept</action>
     </cmdrule>
     <cmdrule>
      <index>2</index>
      <context>*</context>
      <command>show running-config aaa</command>
      <group>aaa-r</group>
      <ops>rx</ops>
      <action>accept</action>
     </cmdrule>
     <cmdrule>
      <index>3</index>
      <context>*</context>
      <command>show tech-support aaa</command>
      <group>aaa-r</group>
      <ops>rx</ops>
      <action>accept</action>
     </cmdrule>
     <cmdrule>
      <index>4</index>
      <context>*</context>
      <command>show aaa</command>
      <group>aaa-r</group>
      <ops>rx</ops>
      <action>accept</action>
     </cmdrule>
     <cmdrule>
      <index>5</index>
      <context>*</context>
      <command>show</command>
      <group>admin-r</group>
      <ops>rx</ops>
      <action>accept</action>
     </cmdrule>
    </cmdrules>
    <datarules>
     <datarule>
      <index>1</index>
      <namespace>*</namespace>
      <context>*</context>
      <keypath>*</keypath>
      <group>root-system</group>
      <ops>rwx</ops>
      <action>accept</action>
     </datarule>
     <datarule>
      <index>2</index>
      <namespace>*</namespace>
      <context>*</context>
      <keypath>/aaa</keypath>
      <group>aaa-r</group>
      <ops>r</ops>
      <action>accept</action>
     </datarule>
     <datarule>
      <index>3</index>
      <namespace>*</namespace>
      <context>*</context>
      <keypath>/aaa</keypath>
      <group>admin-r</group>
      <ops>rwx</ops>
      <action>reject</action>
     </datarule>
     <datarule>
      <index>4</index>
      <namespace>*</namespace>
      <context>*</context>
      <keypath>/</keypath>
      <group>admin-r</group>
      <ops>r</ops>
      <action>accept</action>
     </datarule>
    </datarules>
   </authorization>
  </aaa>
  <SNMP-COMMUNITY-MIB xmlns="http://tail-f.com/ns/mibs/SNMP-COMMUNITY-MIB/200308060000Z">
   <snmpCommunityTable>
    <snmpCommunityEntry>
     <snmpCommunityIndex>public</snmpCommunityIndex>
     <snmpCommunityName>public</snmpCommunityName>
     <snmpCommunitySecurityName>public</snmpCommunitySecurityName>
     <snmpCommunityContextEngineID>80:00:61:81:05:01</snmpCommunityContextEngineID>
     <snmpCommunityContextName/>
     <snmpCommunityTransportTag/>
     <snmpCommunityStorageType>permanent</snmpCommunityStorageType>
    </snmpCommunityEntry>
   </snmpCommunityTable>
  </SNMP-COMMUNITY-MIB>
  <SNMP-NOTIFICATION-MIB xmlns="http://tail-f.com/ns/mibs/SNMP-NOTIFICATION-MIB/200210140000Z">
   <snmpNotifyTable>
    <snmpNotifyEntry>
     <snmpNotifyName>std_v1_trap</snmpNotifyName>
     <snmpNotifyTag>std_v1_trap</snmpNotifyTag>
     <snmpNotifyType>trap</snmpNotifyType>
     <snmpNotifyStorageType>nonVolatile</snmpNotifyStorageType>
    </snmpNotifyEntry>
    <snmpNotifyEntry>
     <snmpNotifyName>std_v2_inform</snmpNotifyName>
     <snmpNotifyTag>std_v2_inform</snmpNotifyTag>
     <snmpNotifyType>inform</snmpNotifyType>
     <snmpNotifyStorageType>nonVolatile</snmpNotifyStorageType>
    </snmpNotifyEntry>
    <snmpNotifyEntry>
     <snmpNotifyName>std_v2_trap</snmpNotifyName>
     <snmpNotifyTag>std_v2_trap</snmpNotifyTag>
     <snmpNotifyType>trap</snmpNotifyType>
     <snmpNotifyStorageType>nonVolatile</snmpNotifyStorageType>
    </snmpNotifyEntry>
    <snmpNotifyEntry>
     <snmpNotifyName>std_v3_inform</snmpNotifyName>
     <snmpNotifyTag>std_v3_inform</snmpNotifyTag>
     <snmpNotifyType>inform</snmpNotifyType>
     <snmpNotifyStorageType>nonVolatile</snmpNotifyStorageType>
    </snmpNotifyEntry>
    <snmpNotifyEntry>
     <snmpNotifyName>std_v3_trap</snmpNotifyName>
     <snmpNotifyTag>std_v3_trap</snmpNotifyTag>
     <snmpNotifyType>trap</snmpNotifyType>
     <snmpNotifyStorageType>nonVolatile</snmpNotifyStorageType>
    </snmpNotifyEntry>
   </snmpNotifyTable>
  </SNMP-NOTIFICATION-MIB>
  <SNMP-TARGET-MIB xmlns="http://tail-f.com/ns/mibs/SNMP-TARGET-MIB/200210140000Z">
   <snmpTargetAddrTable>
    <snmpTargetAddrEntry>
     <snmpTargetAddrName>127.0.0.1 v1</snmpTargetAddrName>
     <snmpTargetAddrTDomain>1.3.6.1.6.1.1</snmpTargetAddrTDomain>
     <snmpTargetAddrTAddress>127.0.0.1.19.136</snmpTargetAddrTAddress>
     <snmpTargetAddrTimeout>1500</snmpTargetAddrTimeout>
     <snmpTargetAddrRetryCount>3</snmpTargetAddrRetryCount>
     <snmpTargetAddrTagList>std_v1_trap std_trap std_v1_inform std_inform</snmpTargetAddrTagList>
     <snmpTargetAddrParams>target_v1</snmpTargetAddrParams>
     <snmpTargetAddrStorageType>nonVolatile</snmpTargetAddrStorageType>
     <snmpTargetAddrEngineID/>
     <snmpTargetAddrTMask/>
     <snmpTargetAddrMMS>2048</snmpTargetAddrMMS>
     <enabled>true</enabled>
    </snmpTargetAddrEntry>
    <snmpTargetAddrEntry>
     <snmpTargetAddrName>127.0.0.1 v2</snmpTargetAddrName>
     <snmpTargetAddrTDomain>1.3.6.1.6.1.1</snmpTargetAddrTDomain>
     <snmpTargetAddrTAddress>127.0.0.1.23.112</snmpTargetAddrTAddress>
     <snmpTargetAddrTimeout>1500</snmpTargetAddrTimeout>
     <snmpTargetAddrRetryCount>3</snmpTargetAddrRetryCount>
     <snmpTargetAddrTagList>std_v2_trap std_trap std_v2_inform std_inform</snmpTargetAddrTagList>
     <snmpTargetAddrParams>target_v2</snmpTargetAddrParams>
     <snmpTargetAddrStorageType>nonVolatile</snmpTargetAddrStorageType>
     <snmpTargetAddrEngineID/>
     <snmpTargetAddrTMask/>
     <snmpTargetAddrMMS>2048</snmpTargetAddrMMS>
     <enabled>true</enabled>
    </snmpTargetAddrEntry>
    <snmpTargetAddrEntry>
     <snmpTargetAddrName>127.0.0.1 v3</snmpTargetAddrName>
     <snmpTargetAddrTDomain>1.3.6.1.6.1.1</snmpTargetAddrTDomain>
     <snmpTargetAddrTAddress>127.0.0.1.27.88</snmpTargetAddrTAddress>
     <snmpTargetAddrTimeout>1500</snmpTargetAddrTimeout>
     <snmpTargetAddrRetryCount>3</snmpTargetAddrRetryCount>
     <snmpTargetAddrTagList>std_v3_trap std_trap</snmpTargetAddrTagList>
     <snmpTargetAddrParams>trap_target_v3</snmpTargetAddrParams>
     <snmpTargetAddrStorageType>nonVolatile</snmpTargetAddrStorageType>
     <snmpTargetAddrEngineID/>
     <snmpTargetAddrTMask/>
     <snmpTargetAddrMMS>2048</snmpTargetAddrMMS>
     <enabled>true</enabled>
    </snmpTargetAddrEntry>
    <snmpTargetAddrEntry>
     <snmpTargetAddrName>127.0.0.1 v3.inform</snmpTargetAddrName>
     <snmpTargetAddrTDomain>1.3.6.1.6.1.1</snmpTargetAddrTDomain>
     <snmpTargetAddrTAddress>127.0.0.1.27.88</snmpTargetAddrTAddress>
     <snmpTargetAddrTimeout>1500</snmpTargetAddrTimeout>
     <snmpTargetAddrRetryCount>3</snmpTargetAddrRetryCount>
     <snmpTargetAddrTagList>std_v3_inform std_inform</snmpTargetAddrTagList>
     <snmpTargetAddrParams>inform_target_v3</snmpTargetAddrParams>
     <snmpTargetAddrStorageType>nonVolatile</snmpTargetAddrStorageType>
     <snmpTargetAddrEngineID>80:00:1f:88:04:74:65:73:74:69:6e:67</snmpTargetAddrEngineID>
     <snmpTargetAddrTMask/>
     <snmpTargetAddrMMS>2048</snmpTargetAddrMMS>
     <enabled>true</enabled>
    </snmpTargetAddrEntry>
   </snmpTargetAddrTable>
   <snmpTargetParamsTable>
    <snmpTargetParamsEntry>
     <snmpTargetParamsName>inform_target_v3</snmpTargetParamsName>
     <snmpTargetParamsMPModel>3</snmpTargetParamsMPModel>
     <snmpTargetParamsSecurityModel>3</snmpTargetParamsSecurityModel>
     <snmpTargetParamsSecurityName>remote</snmpTargetParamsSecurityName>
     <snmpTargetParamsSecurityLevel>noAuthNoPriv</snmpTargetParamsSecurityLevel>
     <snmpTargetParamsStorageType>nonVolatile</snmpTargetParamsStorageType>
    </snmpTargetParamsEntry>
    <snmpTargetParamsEntry>
     <snmpTargetParamsName>target_v1</snmpTargetParamsName>
     <snmpTargetParamsMPModel>0</snmpTargetParamsMPModel>
     <snmpTargetParamsSecurityModel>1</snmpTargetParamsSecurityModel>
     <snmpTargetParamsSecurityName>public</snmpTargetParamsSecurityName>
     <snmpTargetParamsSecurityLevel>noAuthNoPriv</snmpTargetParamsSecurityLevel>
     <snmpTargetParamsStorageType>nonVolatile</snmpTargetParamsStorageType>
    </snmpTargetParamsEntry>
    <snmpTargetParamsEntry>
     <snmpTargetParamsName>target_v2</snmpTargetParamsName>
     <snmpTargetParamsMPModel>1</snmpTargetParamsMPModel>
     <snmpTargetParamsSecurityModel>2</snmpTargetParamsSecurityModel>
     <snmpTargetParamsSecurityName>public</snmpTargetParamsSecurityName>
     <snmpTargetParamsSecurityLevel>noAuthNoPriv</snmpTargetParamsSecurityLevel>
     <snmpTargetParamsStorageType>nonVolatile</snmpTargetParamsStorageType>
    </snmpTargetParamsEntry>
    <snmpTargetParamsEntry>
     <snmpTargetParamsName>trap_target_v3</snmpTargetParamsName>
     <snmpTargetParamsMPModel>3</snmpTargetParamsMPModel>
     <snmpTargetParamsSecurityModel>3</snmpTargetParamsSecurityModel>
     <snmpTargetParamsSecurityName>public</snmpTargetParamsSecurityName>
     <snmpTargetParamsSecurityLevel>noAuthNoPriv</snmpTargetParamsSecurityLevel>
     <snmpTargetParamsStorageType>nonVolatile</snmpTargetParamsStorageType>
    </snmpTargetParamsEntry>
   </snmpTargetParamsTable>
  </SNMP-TARGET-MIB>
  <SNMP-USER-BASED-SM-MIB xmlns="http://tail-f.com/ns/mibs/SNMP-USER-BASED-SM-MIB/200210160000Z">
   <usmUserTable>
    <usmUserEntry>
     <usmUserEngineID>80:00:61:81:05:01</usmUserEngineID>
     <usmUserName>initial</usmUserName>
     <usmUserSecurityName>initial</usmUserSecurityName>
     <usmUserAuthProtocol>1.3.6.1.6.3.10.1.1.1</usmUserAuthProtocol>
     <usmUserPrivProtocol>1.3.6.1.6.3.10.1.2.1</usmUserPrivProtocol>
     <usmUserStorageType>nonVolatile</usmUserStorageType>
    </usmUserEntry>
    <usmUserEntry>
     <usmUserEngineID>80:00:61:81:05:01</usmUserEngineID>
     <usmUserName>initial_auth</usmUserName>
     <usmUserSecurityName>initial_auth</usmUserSecurityName>
     <usmUserAuthProtocol>1.3.6.1.6.3.10.1.1.2</usmUserAuthProtocol>
     <usmUserPrivProtocol>1.3.6.1.6.3.10.1.2.1</usmUserPrivProtocol>
     <usmUserStorageType>nonVolatile</usmUserStorageType>
     <usmUserAuthKey>10:2c:bd:65:e3:eb:e2:16:0d:63:db:23:73:f3:17:b2</usmUserAuthKey>
    </usmUserEntry>
    <usmUserEntry>
     <usmUserEngineID>80:00:61:81:05:01</usmUserEngineID>
     <usmUserName>initial_authPriv</usmUserName>
     <usmUserSecurityName>initial_authPriv</usmUserSecurityName>
     <usmUserAuthProtocol>1.3.6.1.6.3.10.1.1.2</usmUserAuthProtocol>
     <usmUserPrivProtocol>1.3.6.1.6.3.10.1.2.2</usmUserPrivProtocol>
     <usmUserStorageType>nonVolatile</usmUserStorageType>
     <usmUserAuthKey>10:2c:bd:65:e3:eb:e2:16:0d:63:db:23:73:f3:17:b2</usmUserAuthKey>
     <usmUserPrivKey>10:2c:bd:65:e3:eb:e2:16:0d:63:db:23:73:f3:17:b2</usmUserPrivKey>
    </usmUserEntry>
   </usmUserTable>
  </SNMP-USER-BASED-SM-MIB>
  <SNMP-VIEW-BASED-ACM-MIB xmlns="http://tail-f.com/ns/mibs/SNMP-VIEW-BASED-ACM-MIB/200210160000Z">
   <vacmSecurityToGroupTable>
    <vacmSecurityToGroupEntry>
     <vacmSecurityModel>1</vacmSecurityModel>
     <vacmSecurityName>public</vacmSecurityName>
     <vacmGroupName>all-rights</vacmGroupName>
     <vacmSecurityToGroupStorageType>nonVolatile</vacmSecurityToGroupStorageType>
    </vacmSecurityToGroupEntry>
    <vacmSecurityToGroupEntry>
     <vacmSecurityModel>2</vacmSecurityModel>
     <vacmSecurityName>public</vacmSecurityName>
     <vacmGroupName>all-rights</vacmGroupName>
     <vacmSecurityToGroupStorageType>nonVolatile</vacmSecurityToGroupStorageType>
    </vacmSecurityToGroupEntry>
    <vacmSecurityToGroupEntry>
     <vacmSecurityModel>3</vacmSecurityModel>
     <vacmSecurityName>initial</vacmSecurityName>
     <vacmGroupName>initial</vacmGroupName>
     <vacmSecurityToGroupStorageType>nonVolatile</vacmSecurityToGroupStorageType>
    </vacmSecurityToGroupEntry>
    <vacmSecurityToGroupEntry>
     <vacmSecurityModel>3</vacmSecurityModel>
     <vacmSecurityName>initial_auth</vacmSecurityName>
     <vacmGroupName>initial</vacmGroupName>
     <vacmSecurityToGroupStorageType>nonVolatile</vacmSecurityToGroupStorageType>
    </vacmSecurityToGroupEntry>
    <vacmSecurityToGroupEntry>
     <vacmSecurityModel>3</vacmSecurityModel>
     <vacmSecurityName>initial_authPriv</vacmSecurityName>
     <vacmGroupName>initial</vacmGroupName>
     <vacmSecurityToGroupStorageType>nonVolatile</vacmSecurityToGroupStorageType>
    </vacmSecurityToGroupEntry>
   </vacmSecurityToGroupTable>
   <vacmAccessTable>
    <vacmAccessEntry>
     <vacmGroupName>initial</vacmGroupName>
     <vacmAccessContextPrefix/>
     <vacmAccessSecurityModel>3</vacmAccessSecurityModel>
     <vacmAccessSecurityLevel>noAuthNoPriv</vacmAccessSecurityLevel>
     <vacmAccessContextMatch>exact</vacmAccessContextMatch>
     <vacmAccessReadViewName>internet</vacmAccessReadViewName>
     <vacmAccessWriteViewName>internet</vacmAccessWriteViewName>
     <vacmAccessNotifyViewName>internet</vacmAccessNotifyViewName>
     <vacmAccessStorageType>nonVolatile</vacmAccessStorageType>
    </vacmAccessEntry>
    <vacmAccessEntry>
     <vacmGroupName>initial</vacmGroupName>
     <vacmAccessContextPrefix/>
     <vacmAccessSecurityModel>3</vacmAccessSecurityModel>
     <vacmAccessSecurityLevel>authNoPriv</vacmAccessSecurityLevel>
     <vacmAccessContextMatch>exact</vacmAccessContextMatch>
     <vacmAccessReadViewName>internet</vacmAccessReadViewName>
     <vacmAccessWriteViewName>internet</vacmAccessWriteViewName>
     <vacmAccessNotifyViewName>internet</vacmAccessNotifyViewName>
     <vacmAccessStorageType>nonVolatile</vacmAccessStorageType>
    </vacmAccessEntry>
    <vacmAccessEntry>
     <vacmGroupName>initial</vacmGroupName>
     <vacmAccessContextPrefix/>
     <vacmAccessSecurityModel>3</vacmAccessSecurityModel>
     <vacmAccessSecurityLevel>authPriv</vacmAccessSecurityLevel>
     <vacmAccessContextMatch>exact</vacmAccessContextMatch>
     <vacmAccessReadViewName>internet</vacmAccessReadViewName>
     <vacmAccessWriteViewName>internet</vacmAccessWriteViewName>
     <vacmAccessNotifyViewName>internet</vacmAccessNotifyViewName>
     <vacmAccessStorageType>nonVolatile</vacmAccessStorageType>
    </vacmAccessEntry>
    <vacmAccessEntry>
     <vacmGroupName>all-rights</vacmGroupName>
     <vacmAccessContextPrefix/>
     <vacmAccessSecurityModel>0</vacmAccessSecurityModel>
     <vacmAccessSecurityLevel>noAuthNoPriv</vacmAccessSecurityLevel>
     <vacmAccessContextMatch>exact</vacmAccessContextMatch>
     <vacmAccessReadViewName>internet</vacmAccessReadViewName>
     <vacmAccessWriteViewName>internet</vacmAccessWriteViewName>
     <vacmAccessNotifyViewName>internet</vacmAccessNotifyViewName>
     <vacmAccessStorageType>nonVolatile</vacmAccessStorageType>
    </vacmAccessEntry>
   </vacmAccessTable>
   <vacmViewTreeFamilyTable>
    <vacmViewTreeFamilyEntry>
     <vacmViewTreeFamilyViewName>internet</vacmViewTreeFamilyViewName>
     <vacmViewTreeFamilySubtree>1.3.6.1</vacmViewTreeFamilySubtree>
     <vacmViewTreeFamilyMask/>
     <vacmViewTreeFamilyType>included</vacmViewTreeFamilyType>
     <vacmViewTreeFamilyStorageType>nonVolatile</vacmViewTreeFamilyStorageType>
    </vacmViewTreeFamilyEntry>
   </vacmViewTreeFamilyTable>
  </SNMP-VIEW-BASED-ACM-MIB>
  <SNMPv2-MIB xmlns="http://tail-f.com/ns/mibs/SNMPv2-MIB/200210160000Z">
   <system>
    <sysContact/>
    <sysName/>
    <sysLocation/>
   </system>
   <snmp>
    <snmpEnableAuthenTraps>disabled</snmpEnableAuthenTraps>
   </snmp>
  </SNMPv2-MIB>
  <fpd xmlns="http://www.cisco.com/ns/yang/Cisco-IOS-XR-sysadmin-fpd-infra-cli-fpd">
   <config>
    <auto-upgrade>disable</auto-upgrade>
   </config>
  </fpd>
  <sdr-config xmlns="http://www.cisco.com/ns/yang/Cisco-IOS-XR-sysadmin-sdr-mgr">
   <sdr>
    <name>default-sdr</name>
    <resources>
     <card-type>
      <type>RP</type>
      <vm-memory>2</vm-memory>
      <vm-cpu>1</vm-cpu>
     </card-type>
     <card-type>
      <type>LC</type>
      <vm-memory>1</vm-memory>
      <vm-cpu>1</vm-cpu>
     </card-type>
    </resources>
    <location>
     <node-location>all</node-location>
    </location>
   </sdr>
  </sdr-config>
  <private-sdr xmlns="http://www.cisco.com/ns/yang/Cisco-IOS-XR-sysadmin-sdr-mgr">
   <sdr-name>
    <name>default-sdr</name>
    <id>2</id>
    <lead_rack0>0</lead_rack0>
    <lead_rack1>0</lead_rack1>
    <pairing>
     <num>0</num>
     <second_exist>false</second_exist>
     <rp1_rack>0</rp1_rack>
     <rp1_slot>0</rp1_slot>
    </pairing>
   </sdr-name>
  </private-sdr>
  <service xmlns="http://www.cisco.com/ns/yang/Cisco-IOS-XR-sysadmin-services">
   <cli>
    <interactive>
     <enabled>true</enabled>
    </interactive>
   </cli>
  </service>
  <interfaces xmlns="http://openconfig.net/yang/interfaces">
   <interface>
    <name>MgmtEth0/RP0/CPU0/0</name>
    <config>
     <name>MgmtEth0/RP0/CPU0/0</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>true</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
    <subinterfaces>
     <subinterface>
      <index>0</index>
      <ipv4 xmlns="http://openconfig.net/yang/interfaces/ip">
       <addresses>
        <address>
         <ip>10.0.0.15</ip>
         <config>
          <ip>10.0.0.15</ip>
          <prefix-length>24</prefix-length>
         </config>
        </address>
       </addresses>
      </ipv4>
     </subinterface>
    </subinterfaces>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/0</name>
    <config>
     <name>GigabitEthernet0/0/0/0</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/1</name>
    <config>
     <name>GigabitEthernet0/0/0/1</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/2</name>
    <config>
     <name>GigabitEthernet0/0/0/2</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/3</name>
    <config>
     <name>GigabitEthernet0/0/0/3</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/4</name>
    <config>
     <name>GigabitEthernet0/0/0/4</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/5</name>
    <config>
     <name>GigabitEthernet0/0/0/5</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/6</name>
    <config>
     <name>GigabitEthernet0/0/0/6</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/7</name>
    <config>
     <name>GigabitEthernet0/0/0/7</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/8</name>
    <config>
     <name>GigabitEthernet0/0/0/8</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/9</name>
    <config>
     <name>GigabitEthernet0/0/0/9</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/10</name>
    <config>
     <name>GigabitEthernet0/0/0/10</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/11</name>
    <config>
     <name>GigabitEthernet0/0/0/11</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/12</name>
    <config>
     <name>GigabitEthernet0/0/0/12</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/13</name>
    <config>
     <name>GigabitEthernet0/0/0/13</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/14</name>
    <config>
     <name>GigabitEthernet0/0/0/14</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/15</name>
    <config>
     <name>GigabitEthernet0/0/0/15</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/16</name>
    <config>
     <name>GigabitEthernet0/0/0/16</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/17</name>
    <config>
     <name>GigabitEthernet0/0/0/17</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/18</name>
    <config>
     <name>GigabitEthernet0/0/0/18</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/19</name>
    <config>
     <name>GigabitEthernet0/0/0/19</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/20</name>
    <config>
     <name>GigabitEthernet0/0/0/20</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/21</name>
    <config>
     <name>GigabitEthernet0/0/0/21</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/22</name>
    <config>
     <name>GigabitEthernet0/0/0/22</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/23</name>
    <config>
     <name>GigabitEthernet0/0/0/23</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/24</name>
    <config>
     <name>GigabitEthernet0/0/0/24</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/25</name>
    <config>
     <name>GigabitEthernet0/0/0/25</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/26</name>
    <config>
     <name>GigabitEthernet0/0/0/26</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/27</name>
    <config>
     <name>GigabitEthernet0/0/0/27</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/28</name>
    <config>
     <name>GigabitEthernet0/0/0/28</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/29</name>
    <config>
     <name>GigabitEthernet0/0/0/29</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/30</name>
    <config>
     <name>GigabitEthernet0/0/0/30</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/31</name>
    <config>
     <name>GigabitEthernet0/0/0/31</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/32</name>
    <config>
     <name>GigabitEthernet0/0/0/32</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/33</name>
    <config>
     <name>GigabitEthernet0/0/0/33</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/34</name>
    <config>
     <name>GigabitEthernet0/0/0/34</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/35</name>
    <config>
     <name>GigabitEthernet0/0/0/35</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/36</name>
    <config>
     <name>GigabitEthernet0/0/0/36</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/37</name>
    <config>
     <name>GigabitEthernet0/0/0/37</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/38</name>
    <config>
     <name>GigabitEthernet0/0/0/38</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/39</name>
    <config>
     <name>GigabitEthernet0/0/0/39</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/40</name>
    <config>
     <name>GigabitEthernet0/0/0/40</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/41</name>
    <config>
     <name>GigabitEthernet0/0/0/41</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/42</name>
    <config>
     <name>GigabitEthernet0/0/0/42</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/43</name>
    <config>
     <name>GigabitEthernet0/0/0/43</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/44</name>
    <config>
     <name>GigabitEthernet0/0/0/44</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/45</name>
    <config>
     <name>GigabitEthernet0/0/0/45</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/46</name>
    <config>
     <name>GigabitEthernet0/0/0/46</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/47</name>
    <config>
     <name>GigabitEthernet0/0/0/47</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/48</name>
    <config>
     <name>GigabitEthernet0/0/0/48</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/49</name>
    <config>
     <name>GigabitEthernet0/0/0/49</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/50</name>
    <config>
     <name>GigabitEthernet0/0/0/50</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/51</name>
    <config>
     <name>GigabitEthernet0/0/0/51</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/52</name>
    <config>
     <name>GigabitEthernet0/0/0/52</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/53</name>
    <config>
     <name>GigabitEthernet0/0/0/53</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/54</name>
    <config>
     <name>GigabitEthernet0/0/0/54</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/55</name>
    <config>
     <name>GigabitEthernet0/0/0/55</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/56</name>
    <config>
     <name>GigabitEthernet0/0/0/56</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/57</name>
    <config>
     <name>GigabitEthernet0/0/0/57</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/58</name>
    <config>
     <name>GigabitEthernet0/0/0/58</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/59</name>
    <config>
     <name>GigabitEthernet0/0/0/59</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/60</name>
    <config>
     <name>GigabitEthernet0/0/0/60</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/61</name>
    <config>
     <name>GigabitEthernet0/0/0/61</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/62</name>
    <config>
     <name>GigabitEthernet0/0/0/62</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/63</name>
    <config>
     <name>GigabitEthernet0/0/0/63</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/64</name>
    <config>
     <name>GigabitEthernet0/0/0/64</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/65</name>
    <config>
     <name>GigabitEthernet0/0/0/65</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/66</name>
    <config>
     <name>GigabitEthernet0/0/0/66</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/67</name>
    <config>
     <name>GigabitEthernet0/0/0/67</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/68</name>
    <config>
     <name>GigabitEthernet0/0/0/68</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/69</name>
    <config>
     <name>GigabitEthernet0/0/0/69</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/70</name>
    <config>
     <name>GigabitEthernet0/0/0/70</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/71</name>
    <config>
     <name>GigabitEthernet0/0/0/71</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/72</name>
    <config>
     <name>GigabitEthernet0/0/0/72</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/73</name>
    <config>
     <name>GigabitEthernet0/0/0/73</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/74</name>
    <config>
     <name>GigabitEthernet0/0/0/74</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/75</name>
    <config>
     <name>GigabitEthernet0/0/0/75</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/76</name>
    <config>
     <name>GigabitEthernet0/0/0/76</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/77</name>
    <config>
     <name>GigabitEthernet0/0/0/77</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/78</name>
    <config>
     <name>GigabitEthernet0/0/0/78</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/79</name>
    <config>
     <name>GigabitEthernet0/0/0/79</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/80</name>
    <config>
     <name>GigabitEthernet0/0/0/80</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/81</name>
    <config>
     <name>GigabitEthernet0/0/0/81</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/82</name>
    <config>
     <name>GigabitEthernet0/0/0/82</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/83</name>
    <config>
     <name>GigabitEthernet0/0/0/83</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/84</name>
    <config>
     <name>GigabitEthernet0/0/0/84</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/85</name>
    <config>
     <name>GigabitEthernet0/0/0/85</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/86</name>
    <config>
     <name>GigabitEthernet0/0/0/86</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/87</name>
    <config>
     <name>GigabitEthernet0/0/0/87</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/88</name>
    <config>
     <name>GigabitEthernet0/0/0/88</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/89</name>
    <config>
     <name>GigabitEthernet0/0/0/89</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/90</name>
    <config>
     <name>GigabitEthernet0/0/0/90</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/91</name>
    <config>
     <name>GigabitEthernet0/0/0/91</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/92</name>
    <config>
     <name>GigabitEthernet0/0/0/92</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/93</name>
    <config>
     <name>GigabitEthernet0/0/0/93</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/94</name>
    <config>
     <name>GigabitEthernet0/0/0/94</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/95</name>
    <config>
     <name>GigabitEthernet0/0/0/95</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/96</name>
    <config>
     <name>GigabitEthernet0/0/0/96</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/97</name>
    <config>
     <name>GigabitEthernet0/0/0/97</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/98</name>
    <config>
     <name>GigabitEthernet0/0/0/98</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/99</name>
    <config>
     <name>GigabitEthernet0/0/0/99</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/100</name>
    <config>
     <name>GigabitEthernet0/0/0/100</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/101</name>
    <config>
     <name>GigabitEthernet0/0/0/101</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/102</name>
    <config>
     <name>GigabitEthernet0/0/0/102</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/103</name>
    <config>
     <name>GigabitEthernet0/0/0/103</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/104</name>
    <config>
     <name>GigabitEthernet0/0/0/104</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/105</name>
    <config>
     <name>GigabitEthernet0/0/0/105</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/106</name>
    <config>
     <name>GigabitEthernet0/0/0/106</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/107</name>
    <config>
     <name>GigabitEthernet0/0/0/107</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/108</name>
    <config>
     <name>GigabitEthernet0/0/0/108</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/109</name>
    <config>
     <name>GigabitEthernet0/0/0/109</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/110</name>
    <config>
     <name>GigabitEthernet0/0/0/110</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/111</name>
    <config>
     <name>GigabitEthernet0/0/0/111</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/112</name>
    <config>
     <name>GigabitEthernet0/0/0/112</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/113</name>
    <config>
     <name>GigabitEthernet0/0/0/113</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/114</name>
    <config>
     <name>GigabitEthernet0/0/0/114</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/115</name>
    <config>
     <name>GigabitEthernet0/0/0/115</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/116</name>
    <config>
     <name>GigabitEthernet0/0/0/116</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/117</name>
    <config>
     <name>GigabitEthernet0/0/0/117</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/118</name>
    <config>
     <name>GigabitEthernet0/0/0/118</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/119</name>
    <config>
     <name>GigabitEthernet0/0/0/119</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/120</name>
    <config>
     <name>GigabitEthernet0/0/0/120</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/121</name>
    <config>
     <name>GigabitEthernet0/0/0/121</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/122</name>
    <config>
     <name>GigabitEthernet0/0/0/122</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/123</name>
    <config>
     <name>GigabitEthernet0/0/0/123</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/124</name>
    <config>
     <name>GigabitEthernet0/0/0/124</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/125</name>
    <config>
     <name>GigabitEthernet0/0/0/125</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/126</name>
    <config>
     <name>GigabitEthernet0/0/0/126</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
   <interface>
    <name>GigabitEthernet0/0/0/127</name>
    <config>
     <name>GigabitEthernet0/0/0/127</name>
     <type xmlns:idx="urn:ietf:params:xml:ns:yang:iana-if-type">idx:ethernetCsmacd</type>
     <enabled>false</enabled>
    </config>
    <ethernet xmlns="http://openconfig.net/yang/interfaces/ethernet">
     <config>
      <auto-negotiate>false</auto-negotiate>
     </config>
    </ethernet>
   </interface>
  </interfaces>
  <lacp xmlns="http://openconfig.net/yang/lacp">
   <interfaces>
    <interface>
     <name>MgmtEth0/RP0/CPU0/0</name>
     <config>
      <name>MgmtEth0/RP0/CPU0/0</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/0</name>
     <config>
      <name>GigabitEthernet0/0/0/0</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/1</name>
     <config>
      <name>GigabitEthernet0/0/0/1</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/2</name>
     <config>
      <name>GigabitEthernet0/0/0/2</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/3</name>
     <config>
      <name>GigabitEthernet0/0/0/3</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/4</name>
     <config>
      <name>GigabitEthernet0/0/0/4</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/5</name>
     <config>
      <name>GigabitEthernet0/0/0/5</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/6</name>
     <config>
      <name>GigabitEthernet0/0/0/6</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/7</name>
     <config>
      <name>GigabitEthernet0/0/0/7</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/8</name>
     <config>
      <name>GigabitEthernet0/0/0/8</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/9</name>
     <config>
      <name>GigabitEthernet0/0/0/9</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/10</name>
     <config>
      <name>GigabitEthernet0/0/0/10</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/11</name>
     <config>
      <name>GigabitEthernet0/0/0/11</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/12</name>
     <config>
      <name>GigabitEthernet0/0/0/12</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/13</name>
     <config>
      <name>GigabitEthernet0/0/0/13</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/14</name>
     <config>
      <name>GigabitEthernet0/0/0/14</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/15</name>
     <config>
      <name>GigabitEthernet0/0/0/15</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/16</name>
     <config>
      <name>GigabitEthernet0/0/0/16</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/17</name>
     <config>
      <name>GigabitEthernet0/0/0/17</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/18</name>
     <config>
      <name>GigabitEthernet0/0/0/18</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/19</name>
     <config>
      <name>GigabitEthernet0/0/0/19</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/20</name>
     <config>
      <name>GigabitEthernet0/0/0/20</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/21</name>
     <config>
      <name>GigabitEthernet0/0/0/21</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/22</name>
     <config>
      <name>GigabitEthernet0/0/0/22</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/23</name>
     <config>
      <name>GigabitEthernet0/0/0/23</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/24</name>
     <config>
      <name>GigabitEthernet0/0/0/24</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/25</name>
     <config>
      <name>GigabitEthernet0/0/0/25</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/26</name>
     <config>
      <name>GigabitEthernet0/0/0/26</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/27</name>
     <config>
      <name>GigabitEthernet0/0/0/27</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/28</name>
     <config>
      <name>GigabitEthernet0/0/0/28</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/29</name>
     <config>
      <name>GigabitEthernet0/0/0/29</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/30</name>
     <config>
      <name>GigabitEthernet0/0/0/30</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/31</name>
     <config>
      <name>GigabitEthernet0/0/0/31</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/32</name>
     <config>
      <name>GigabitEthernet0/0/0/32</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/33</name>
     <config>
      <name>GigabitEthernet0/0/0/33</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/34</name>
     <config>
      <name>GigabitEthernet0/0/0/34</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/35</name>
     <config>
      <name>GigabitEthernet0/0/0/35</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/36</name>
     <config>
      <name>GigabitEthernet0/0/0/36</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/37</name>
     <config>
      <name>GigabitEthernet0/0/0/37</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/38</name>
     <config>
      <name>GigabitEthernet0/0/0/38</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/39</name>
     <config>
      <name>GigabitEthernet0/0/0/39</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/40</name>
     <config>
      <name>GigabitEthernet0/0/0/40</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/41</name>
     <config>
      <name>GigabitEthernet0/0/0/41</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/42</name>
     <config>
      <name>GigabitEthernet0/0/0/42</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/43</name>
     <config>
      <name>GigabitEthernet0/0/0/43</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/44</name>
     <config>
      <name>GigabitEthernet0/0/0/44</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/45</name>
     <config>
      <name>GigabitEthernet0/0/0/45</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/46</name>
     <config>
      <name>GigabitEthernet0/0/0/46</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/47</name>
     <config>
      <name>GigabitEthernet0/0/0/47</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/48</name>
     <config>
      <name>GigabitEthernet0/0/0/48</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/49</name>
     <config>
      <name>GigabitEthernet0/0/0/49</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/50</name>
     <config>
      <name>GigabitEthernet0/0/0/50</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/51</name>
     <config>
      <name>GigabitEthernet0/0/0/51</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/52</name>
     <config>
      <name>GigabitEthernet0/0/0/52</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/53</name>
     <config>
      <name>GigabitEthernet0/0/0/53</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/54</name>
     <config>
      <name>GigabitEthernet0/0/0/54</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/55</name>
     <config>
      <name>GigabitEthernet0/0/0/55</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/56</name>
     <config>
      <name>GigabitEthernet0/0/0/56</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/57</name>
     <config>
      <name>GigabitEthernet0/0/0/57</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/58</name>
     <config>
      <name>GigabitEthernet0/0/0/58</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/59</name>
     <config>
      <name>GigabitEthernet0/0/0/59</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/60</name>
     <config>
      <name>GigabitEthernet0/0/0/60</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/61</name>
     <config>
      <name>GigabitEthernet0/0/0/61</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/62</name>
     <config>
      <name>GigabitEthernet0/0/0/62</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/63</name>
     <config>
      <name>GigabitEthernet0/0/0/63</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/64</name>
     <config>
      <name>GigabitEthernet0/0/0/64</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/65</name>
     <config>
      <name>GigabitEthernet0/0/0/65</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/66</name>
     <config>
      <name>GigabitEthernet0/0/0/66</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/67</name>
     <config>
      <name>GigabitEthernet0/0/0/67</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/68</name>
     <config>
      <name>GigabitEthernet0/0/0/68</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/69</name>
     <config>
      <name>GigabitEthernet0/0/0/69</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/70</name>
     <config>
      <name>GigabitEthernet0/0/0/70</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/71</name>
     <config>
      <name>GigabitEthernet0/0/0/71</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/72</name>
     <config>
      <name>GigabitEthernet0/0/0/72</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/73</name>
     <config>
      <name>GigabitEthernet0/0/0/73</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/74</name>
     <config>
      <name>GigabitEthernet0/0/0/74</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/75</name>
     <config>
      <name>GigabitEthernet0/0/0/75</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/76</name>
     <config>
      <name>GigabitEthernet0/0/0/76</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/77</name>
     <config>
      <name>GigabitEthernet0/0/0/77</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/78</name>
     <config>
      <name>GigabitEthernet0/0/0/78</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/79</name>
     <config>
      <name>GigabitEthernet0/0/0/79</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/80</name>
     <config>
      <name>GigabitEthernet0/0/0/80</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/81</name>
     <config>
      <name>GigabitEthernet0/0/0/81</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/82</name>
     <config>
      <name>GigabitEthernet0/0/0/82</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/83</name>
     <config>
      <name>GigabitEthernet0/0/0/83</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/84</name>
     <config>
      <name>GigabitEthernet0/0/0/84</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/85</name>
     <config>
      <name>GigabitEthernet0/0/0/85</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/86</name>
     <config>
      <name>GigabitEthernet0/0/0/86</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/87</name>
     <config>
      <name>GigabitEthernet0/0/0/87</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/88</name>
     <config>
      <name>GigabitEthernet0/0/0/88</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/89</name>
     <config>
      <name>GigabitEthernet0/0/0/89</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/90</name>
     <config>
      <name>GigabitEthernet0/0/0/90</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/91</name>
     <config>
      <name>GigabitEthernet0/0/0/91</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/92</name>
     <config>
      <name>GigabitEthernet0/0/0/92</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/93</name>
     <config>
      <name>GigabitEthernet0/0/0/93</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/94</name>
     <config>
      <name>GigabitEthernet0/0/0/94</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/95</name>
     <config>
      <name>GigabitEthernet0/0/0/95</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/96</name>
     <config>
      <name>GigabitEthernet0/0/0/96</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/97</name>
     <config>
      <name>GigabitEthernet0/0/0/97</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/98</name>
     <config>
      <name>GigabitEthernet0/0/0/98</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/99</name>
     <config>
      <name>GigabitEthernet0/0/0/99</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/100</name>
     <config>
      <name>GigabitEthernet0/0/0/100</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/101</name>
     <config>
      <name>GigabitEthernet0/0/0/101</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/102</name>
     <config>
      <name>GigabitEthernet0/0/0/102</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/103</name>
     <config>
      <name>GigabitEthernet0/0/0/103</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/104</name>
     <config>
      <name>GigabitEthernet0/0/0/104</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/105</name>
     <config>
      <name>GigabitEthernet0/0/0/105</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/106</name>
     <config>
      <name>GigabitEthernet0/0/0/106</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/107</name>
     <config>
      <name>GigabitEthernet0/0/0/107</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/108</name>
     <config>
      <name>GigabitEthernet0/0/0/108</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/109</name>
     <config>
      <name>GigabitEthernet0/0/0/109</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/110</name>
     <config>
      <name>GigabitEthernet0/0/0/110</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/111</name>
     <config>
      <name>GigabitEthernet0/0/0/111</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/112</name>
     <config>
      <name>GigabitEthernet0/0/0/112</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/113</name>
     <config>
      <name>GigabitEthernet0/0/0/113</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/114</name>
     <config>
      <name>GigabitEthernet0/0/0/114</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/115</name>
     <config>
      <name>GigabitEthernet0/0/0/115</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/116</name>
     <config>
      <name>GigabitEthernet0/0/0/116</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/117</name>
     <config>
      <name>GigabitEthernet0/0/0/117</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/118</name>
     <config>
      <name>GigabitEthernet0/0/0/118</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/119</name>
     <config>
      <name>GigabitEthernet0/0/0/119</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/120</name>
     <config>
      <name>GigabitEthernet0/0/0/120</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/121</name>
     <config>
      <name>GigabitEthernet0/0/0/121</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/122</name>
     <config>
      <name>GigabitEthernet0/0/0/122</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/123</name>
     <config>
      <name>GigabitEthernet0/0/0/123</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/124</name>
     <config>
      <name>GigabitEthernet0/0/0/124</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/125</name>
     <config>
      <name>GigabitEthernet0/0/0/125</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/126</name>
     <config>
      <name>GigabitEthernet0/0/0/126</name>
     </config>
    </interface>
    <interface>
     <name>GigabitEthernet0/0/0/127</name>
     <config>
      <name>GigabitEthernet0/0/0/127</name>
     </config>
    </interface>
   </interfaces>
  </lacp>
  <lldp xmlns="http://openconfig.net/yang/lldp">
   <config>
    <enabled>false</enabled>
   </config>
  </lldp>
 </data>
</rpc-reply>"""

CONFIG_FILTER_SINGLE = """
<interface-configurations xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ifmgr-cfg">
    <interface-configuration>
        <active>act</active>
        <interface-name>MgmtEth0/RP0/CPU0/0</interface-name>
    </interface-configuration>
</interface-configurations>
"""

CONFIG_FILTER_SINGLE_GET_CONFIG_ELEMENTS = ["interface-configurations"]

CONFIG_FILTER_SINGLE_GET_CONFIG_RESULT = """<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="101">
 <data>
  <interface-configurations xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ifmgr-cfg">
   <interface-configuration>
    <active>act</active>
    <interface-name>MgmtEth0/RP0/CPU0/0</interface-name>
    <ipv4-network xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ipv4-io-cfg">
     <addresses>
      <primary>
       <address>10.0.0.15</address>
       <netmask>255.255.255.0</netmask>
      </primary>
     </addresses>
    </ipv4-network>
   </interface-configuration>
  </interface-configurations>
 </data>
</rpc-reply>"""

_CONFIG_FILTER_MULTI = """
<ssh xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-crypto-ssh-cfg">
    <server>
        <v2>
        </v2>
    </server>
</ssh>
"""

CONFIG_FILTER_MULTI = [CONFIG_FILTER_SINGLE, _CONFIG_FILTER_MULTI]

CONFIG_FILTER_MULTI_GET_CONFIG_ELEMENTS = ["interface-configurations", "ssh"]

CONFIG_FILTER_MULTI_GET_CONFIG_RESULT = """<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="101">
 <data>
  <interface-configurations xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ifmgr-cfg">
   <interface-configuration>
    <active>act</active>
    <interface-name>MgmtEth0/RP0/CPU0/0</interface-name>
    <ipv4-network xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ipv4-io-cfg">
     <addresses>
      <primary>
       <address>10.0.0.15</address>
       <netmask>255.255.255.0</netmask>
      </primary>
     </addresses>
    </ipv4-network>
   </interface-configuration>
  </interface-configurations>
  <ssh xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-crypto-ssh-cfg">
   <server>
    <v2/>
   </server>
  </ssh>
 </data>
</rpc-reply>"""

EDIT_CONFIG = """
<config>
  <interface-configurations xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ifmgr-cfg">
    <interface-configuration>
      <active>act</active>
      <interface-name>GigabitEthernet0/0/0/0</interface-name>
      <description>scrapli was here</description>
      <ipv4-network xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ipv4-io-cfg">
        <addresses>
          <primary>
            <address>10.10.0.1</address>
            <netmask>255.255.255.0</netmask>
          </primary>
        </addresses>
      </ipv4-network>
    </interface-configuration>
  </interface-configurations>
</config>"""

REMOVE_EDIT_CONFIG = """
<config xmlns:xc="urn:ietf:params:xml:ns:netconf:base:1.0">
  <interface-configurations xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ifmgr-cfg">
    <interface-configuration>
      <active>act</active>
      <interface-name>GigabitEthernet0/0/0/0</interface-name>
      <description xc:operation="delete"></description>
      <ipv4-network xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ipv4-io-cfg">
        <addresses>
          <primary xc:operation="delete">
          </primary>
        </addresses>
      </ipv4-network>
    </interface-configuration>
  </interface-configurations>
</config>"""

EDIT_CONFIG_VALIDATE_FILTER = """
<interface-configurations xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ifmgr-cfg">
  <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/0</interface-name>
    <description></description>
    <ipv4-network xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ipv4-io-cfg">
      <addresses>
        <primary>
          <address></address>
          <netmask></netmask>
        </primary>
      </addresses>
    </ipv4-network>
  </interface-configuration>
</interface-configurations>"""

EDIT_CONFIG_VALIDATE_EXPECTED = """
<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="101">
 <data>
  <interface-configurations xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ifmgr-cfg">
   <interface-configuration>
    <active>act</active>
    <interface-name>GigabitEthernet0/0/0/0</interface-name>
    <description>scrapli was here</description>
    <ipv4-network xmlns="http://cisco.com/ns/yang/Cisco-IOS-XR-ipv4-io-cfg">
     <addresses>
      <primary>
       <address>10.10.0.1</address>
       <netmask>255.255.255.0</netmask>
      </primary>
     </addresses>
    </ipv4-network>
   </interface-configuration>
  </interface-configurations>
 </data>
</rpc-reply>"""

RPC_FILTER = """<get><filter type="subtree">
<components xmlns="http://openconfig.net/yang/platform">
    <component>
        <name>
          0/0-Virtual-Motherboard
        </name>
        <state>
        </state>
    </component>
</components></filter></get>"""

RPC_ELEMENTS = ["components"]

RPC_EXPECTED = """<rpc-reply xmlns="urn:ietf:params:xml:ns:netconf:base:1.0" message-id="101">
 <data>
  <components xmlns="http://openconfig.net/yang/platform">
   <component>
    <name>0/0-Virtual-Motherboard</name>
    <state>
     <description>Cisco IOS-XRv 9000 Virtual LC Motherboard</description>
     <name>0/0-Virtual-Motherboard</name>
     <type xmlns:idx="http://openconfig.net/yang/platform-types">idx:MODULE</type>
     <id>65538</id>
    </state>
   </component>
  </components>
 </data>
</rpc-reply>"""
